Skip to main content
Get frame context
curl --request GET \
  --url https://api.example.com/frames/{frame_id}/context
import requests

url = "https://api.example.com/frames/{frame_id}/context"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/frames/{frame_id}/context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "frame_id": 123,
  "text": "<string>",
  "nodes": [
    {
      "role": "<string>",
      "text": "<string>",
      "depth": 123,
      "bounds": {
        "left": 123,
        "top": 123,
        "width": 123,
        "height": 123
      },
      "properties": {}
    }
  ],
  "urls": [
    "<string>"
  ],
  "text_source": "<string>"
}

Path Parameters

frame_id
integer
required

Response

200 - application/json

OK

Response type for frame context endpoint (accessibility-first, OCR fallback)

frame_id
integer
required
text
string | null
required
nodes
object[]
required
urls
string[]
required
text_source
string
required